%define		_class		XML
%define		_subclass	SaxFilters
%define		upstream_name	%{_class}_%{_subclass}

%global __requires_exclude_from ^%{_docdir}/.*$

Name:		php-pear-%{upstream_name}
Version:	0.3.0
Release:	%mkrel 19
Summary:	A framework for building XML filters using the SAX API
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/XML_SaxFilters/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tar.bz2
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear

%description
XML_SaxFilters provides a foundation for using Sax filters in PHP. The
original code base was developed by Luis Argerich and published at
http://phpxmlclasses.sourceforge.net/show_doc.php?class=class_sax_filters.html.
Luis discussed how SaxFilters work, using the Sourceforge classes as
an example, in Chapter 10 of Wrox "PHP 4 XML". Luis kindly gave
permission to modify the code and license for inclusion in PEAR.

This version of the Sax Filters makes significant changes to Luis's
original code (backwards compatibility is definately broken),
seperating abstract classes from interfaces, providing interfaces for
data readers and writers and providing methods to help parse XML
documents recursively with filters (for example
AbstractFilter::setParent()) for documents where the structure can
vary significantly.

Sax Filtering is an approach to making parsing XML documents with Sax
modular and easy to maintain. The parser delegates events to a child
filter which may in turn delegate events to another filter. In general
it's possible to implement filters for a document which are as
flexible and powerful as DOM.


%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%doc %{upstream_name}-%{version}/docs/*
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml


%changelog
* Thu Feb 18 2016 umeabot <umeabot> 0.3.0-19.mga6
+ Revision: 964923
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-18.mga5
+ Revision: 748051
- Second Mageia 5 Mass Rebuild

* Tue Oct 07 2014 tv <tv> 0.3.0-17.mga5
+ Revision: 737364
- exclude requires from doc

* Wed Oct 01 2014 tv <tv> 0.3.0-16.mga5
+ Revision: 734200
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-15.mga5
+ Revision: 687519
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.0-14.mga4
+ Revision: 517358
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3.0-13.mga3
+ Revision: 377443
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 30 2011 spuhler <spuhler> 0.3.0-12.mga1
+ Revision: 44453
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-XML_SaxFilters

